using System.ComponentModel.DataAnnotations.Schema;

namespace EnotaryoPH.Data.Entities
{
    [Table("LawyerVideoConferenceParticipants")]
    public class LawyerVideoConferenceParticipant
    {
        [Column("CreatedOn")]
        public DateTime? CreatedOn { get; set; }

        [Column("Device")]
        public string? Device { get; set; }

        [Column("IPAddress")]
        public string? IPAddress { get; set; }

        [Column("Latitude")]
        public decimal? Latitude { get; set; }

        [Column("LawyerVideoConferenceParticipant_UID")]
        public Guid? LawyerVideoConferenceParticipant_UID { get; set; }

        [Column("LawyerVideoConferenceParticipantID")]
        public int LawyerVideoConferenceParticipantID { get; set; }

        [ForeignKey("LawyerVideoConferenceScheduleID")]
        public LawyerVideoConferenceSchedule LawyerVideoConferenceSchedule { get; set; }

        [Column("LawyerVideoConferenceScheduleID")]
        public int LawyerVideoConferenceScheduleID { get; set; }

        [Column("Longitude")]
        public decimal? Longitude { get; set; }

        [Column("MeetingRoomTokenID")]
        public string? MeetingRoomTokenID { get; set; }

        [Column("MeetingRoomUserID")]
        public string? MeetingRoomUserID { get; set; }

        [Column("OTPEntered")]
        public string? OTPEntered { get; set; }

        [Column("OTPHash")]
        public string? OTPHash { get; set; }

        [ForeignKey("ParticipantID")]
        public User Participant { get; set; }

        [Column("ParticipantID")]
        public int? ParticipantID { get; set; }

        [Column("Status")]
        public string? Status { get; set; }
    }
}